Feature: Url Shortening
  As a user of shrtnrqr
  I want to short some urls
  So that I can save characters on twitter

  Scenario: Opening the Homepage
    Given I am on shrtnrqr site
    When I go to homepage
    Then I should see a Button named "shorten"

  Scenario: Shortening a correct URL through the form
    Given I am on shrtnrqr site
    When  I enter "http://google.de" into the input field and hit the "shorten" button
    Then The url should get shortened

  Scenario: Shortening a correct URL without http:// prefix through the form
    Given I am on shrtnrqr site
    When  I enter "google.de" into the input field and hit the "shorten" button
    Then The url should get shortened

  Scenario: Shortening a URL with a wrong protocol through the form
    Given I am on shrtnrqr site
    When  I enter "gopher://google.de" into the input field and hit the "shorten" button
    Then I should get a internal server error

  Scenario: Shortening a URL too short through the form
    Given I am on shrtnrqr site
    When  I enter "a" into the input field and hit the "shorten" button
    Then I should get a internal server error

  Scenario: Shortening a wrong data URL through the form
    Given I am on shrtnrqr site
    When  I enter "data:123451" into the input field and hit the "shorten" button
    Then I should get a internal server error