Feature: Stats Page
  As a user of shrtnrqr
  I want to see statistics of the shortlink created
  So that I see devices, locations and the number of redirects

  Scenario: Submit a url with a alias in order to see the stats page
    Given I am on shrtnrqr site
    When I shorten "http://localhost:5000/" with the alias "shortener" and press the "shorten" button
    Then The url should get shortened as "http://localhost:5000/l/shortener"

  Scenario: Get Redirected
    Given I am on shrtnrqr site
    When I go to the url "http://localhost:5000/l/shortener"
    Then I should be on the Shortener website

  Scenario: See the stats page
    Given I am on shrtnrqr site
    When I go to the url "http://localhost:5000/d/shortener"
    Then I should see "Details" as the page title
    Then I should see the text "http://localhost:5000/" in the page
    Then I should see the text "http://localhost:5000/l/shortener" in the page
    Then I should see the text "Saves" in the page
    Then I should see the text "Clicks" in the page

  Scenario: See a Click
    Given I am on shrtnrqr site
    When I go to the url "http://localhost:5000/d/shortener"
    Then I should see the text "Clicks: 2" in the page


