var customAliasWrapper = function () {
  this.World = require("../support/world.js").World; // overwrite default World constructor

  this.Then(/^I should see textfield named "([^"]*)"$/, function(arg1, callback) {
    // express the regexp above with the code you wish you had

    var res = this.browser.query('#alias');

    if (typeof res === 'undefined') {
      callback.fail(new Error("Did not find textfield named " + arg1));
      return;
    }
    callback();
  });

  this.When(/^I shorten "([^"]*)" with the alias "([^"]*)" and press the "([^"]*)" button$/, function(arg1, arg2, arg3, callback) {

    var browser = this.browser;
    this.browser.fill('url', arg1);
    this.browser.fill('alias', arg2);
    this.browser.pressButton(arg3, function (err) {
      browser.wait(300).then(function (e) {
        callback();
        // console.log(browser.error);
      });
    });

    // express the regexp above with the code you wish you had
    // callback.pending();
  });


  this.Then(/^The url should get shortened as "([^"]*)"$/, function(arg1, callback) {
    var find = this.browser.text('body').search(arg1);

    if (find < 0) {

      callback.fail(new Error("Not finding url in page " + arg1));
    } else {
      callback();
    }
  });


};

module.exports = customAliasWrapper;