var statsPageWrapper = function () {
  this.World = require("../support/world.js").World; // overwrite default World constructor

  this.Then(/^I should see the text "([^"]*)" in the page$/, function(arg1, callback) {
    var find = this.browser.text('body').search(arg1);

    if (find < 0) {
      callback.fail(new Error("The text was not found in Page " + arg1 ));
    } else {
      callback();
    }
  });

  this.Then(/^I should get a "([^"]*)" http status code$/, function(arg1, callback) {
    // express the regexp above with the code you wish you had
    var statusCode = this.browser.statusCode;
    if (statusCode === 301) {
      callback();
    } else {
      callback.fail(new Error("Wrong status code " + statusCode ));
    }
  });


  this.Then(/^I should be on the Shortener website$/, function(callback) {
    // express the regexp above with the code you wish you had
    var foundChip  = this.browser.text('title').toString().search('Express');
    if (foundChip === 0) {
      callback();
    } else {
      callback.fail(new Error("Did not land on the Shortener homepage"));
    }


  });
};

module.exports = statsPageWrapper;