var assert = require("assert");
var shortener = require("../lib/short");
describe('shortener', function () {
  describe('structure', function () {
    it('should be a object', function () {
      assert.equal(typeof shortener, 'object');
    });
    it('should have a shorten method', function () {
      assert.equal(typeof shortener.encode, 'function');
    });
  });
  describe('short', function () {
    it('should return a string', function () {
      assert.equal(typeof shortener.encode(300), 'string');
    });
    it('should return a encoded string', function () {
      assert.equal(shortener.encode(300), 'e0');
    });
  });
});
