var assert = require("assert");
var stats = require("../lib/stats");
describe('stats', function () {
  it('should count stats', function(done){
    var agent = 'Mozilla/5.0 Chrome/10.0.613.0 Safari/534.15 Zombie.js/1.3.1';
    stats.count('foo', agent , function(res) {
      done();
    });
  });
  it('should get a stats object after a count', function(done) {
    var agent = 'Mozilla/5.0 Chrome/10.0.613.0 Safari/534.15 Zombie.js/1.3.1';
    stats.count('foo', agent , function(res) {
      stats.get('foo', function(res) {
        assert.equal(res.total, 2);
        var date = new Date();
        var today = date.getDay()+':'+date.getMonth()+':'+date.getFullYear();
        assert.equal(res[today], 2);
        assert.equal(typeof res.agents, 'object');
        done();
      });
    });
  });
});